#### PyKDE - Python Bindings for KDE

# class KURLRequesterDlg |
Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KURLRequesterDlg
Inherits | KDialogBase

### methods

- KURLRequesterDlg (url, parent, name, modal = 1)

  returns a KURLRequesterDlg instance
  Argument | Type | Default
  --- | --- | ---
  url | QString |
  parent | QWidget |
  name | char |
  modal | bool | 1

- KURLRequesterDlg (url, text, parent, name, modal = 1)

  returns a KURLRequesterDlg instance
  Argument | Type | Default
  --- | --- | ---
  url | QString |
  text | QString |
  parent | QWidget |
  name | char |
  modal | bool | 1

- fileDialog ()

  returns (KFileDialog)

- getURL (url = QString .null, parent = 0, caption = QString .null)

  returns (KURL)
  static
  Argument | Type | Default
  --- | --- | ---
  url | QString | QString .null
  parent | QWidget | 0
  caption | QString | QString .null

- selectedURL ()

  returns (KURL)

- urlRequester ()

  returns (KURLRequester)